// settings.dart

import 'package:flutter/material.dart';
import 'package:dialer/features/Settings/call/settingsCall.dart';
import 'package:dialer/features/Settings/sim/settingsAccounts.dart';
import 'package:dialer/features/Settings/key/manage_keysPage.dart'; // Import the new page

class SettingsPage extends StatelessWidget {
  const SettingsPage({super.key});

  void _navigateToSettings(BuildContext context, String setting) {
    switch (setting) {
      case 'Calling Settings':
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => const SettingsCallPage()),
        );
        break;
      case 'Page des comptes téléphoniques':
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => const SettingsAccountsPage()),
        );
        break;
      case 'Gestion de clés':
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => const GestionDeClesPage()),
        );
        break;
    // Add more cases for other settings pages
      default:
      // Handle default or unknown settings
        break;
    }
  }

  @override
  Widget build(BuildContext context) {
    final settingsOptions = [
      'Calling Settings',
      'Page des comptes téléphoniques',
      'Gestion de clés', // Add the new option here
    ];

    return Scaffold(
      backgroundColor: Colors.black,
      appBar: AppBar(
        title: const Text('Settings'),
      ),
      body: ListView.builder(
        itemCount: settingsOptions.length,
        itemBuilder: (context, index) {
          return ListTile(
            title: Text(
              settingsOptions[index],
              style: const TextStyle(color: Colors.white),
            ),
            trailing: const Icon(Icons.arrow_forward_ios, color: Colors.white),
            onTap: () {
              _navigateToSettings(context, settingsOptions[index]);
            },
          );
        },
      ),
    );
  }
}
